12

This question already has an answer here:

The intel graphics installer seems to be compatible with Ubuntu 14.10, and it wont detect elementary OS freya.

What is the best way to install these drivers?

I'm on a mac mini late 2012 with a Intel HD Graphics 4000

EDIT-- I would like ta add this bonus question because I think it can be useful. How can I clean my system from any earlier attempt to install such drivers? How can I safely go back to same drivers used on a fresh install?

marked as duplicate by Daniel Foré, Rafael, Lewis Goddard Sep 30 '15 at 21:33

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

9

There are a couple of ways to achieve it:

  1. Via Oibaf ppa, which is widely used among Ubuntu based distribution users. I use it myself, and everything works fine, except for a minor bug where for some reason libgbm1 is always stopped when updating the system.
  2. Based on this WebUp8 article, you can manually add repository for Ubuntu 14.04

    echo "deb https://download.01.org/gfx/ubuntu/14.04/main saucy main #Intel Graphics drivers" | sudo tee /etc/apt/sources.list.d/intellinuxgraphics.list
    
    wget --no-check-certificate https://download.01.org/gfx/RPM-GPG-KEY-ilg -O - | sudo apt-key add -
    
    wget --no-check-certificate https://download.01.org/gfx/RPM-GPG-KEY-ilg-2 -O - | sudo apt-key add -
    
  3. Third way is in Saeed's answer.

8

In contrast to both nvidia and AMD, Intel actually does not provide "proprietary" drivers - They release their graphics stack completely open source. The version provided by the Intel installer is 2.99.917. Freya provides 2.99.910-ubuntu1.6+elementary0.3.1. As you can see, they are only a few versions off - But the elementary-provided driver has some custom patches which ensure best experience with Freya.

So, if you don't have any specific problems with your graphic card (which seems to be unlikely as HD4000 should be well supported), please please don't add any PPAs or install the drivers via Intel-provided installers. You don't need it.

  • this is interesting, do you know how I can go back to the package tha freya provides? – igrossiter Jun 30 '15 at 19:17
  • @igrossiter use ppa-purge – pawel.ad Jun 30 '15 at 19:19
  • @pawel.ad I don't think he used a ppa before. did you try apt-get purge? – mojo706 Jun 30 '15 at 20:35
  • I used this method 01.org/comment/2130#comment-2130 – igrossiter Jun 30 '15 at 21:33
3

First download one the installer from this page.

The installer uses the file found in /etc/lsb-release to verify your distribution.

This file is something like:

DISTRIB_RELEASE=0.3
DISTRIB_CODENAME=freya
DISTRIB_DESCRIPTION="elementary OS Freya"

So you should replace this file with one from Ubuntu 14.04. Login as root and replace the content with below lines:

DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=14.04
DISTRIB_CODENAME=trusty
DISTRIB_DESCRIPTION="Ubuntu Trusty Tahr"  

Now you can now run your Intel Graphics Installer.(It works with my Intel 4400)

Make sure to change it back afterwards.

  • 1
    If you download the latest Intel installer from here, then your file has to be as follows: DISTRIB_ID=Ubuntu DISTRIB_RELEASE=14.10 DISTRIB_CODENAME=utopic DISTRIB_DESCRIPTION="Ubuntu Utopic Unicorn" – orschiro Jul 1 '15 at 8:20
  • @orschiro but then you install version for the wrong Ubuntu version - it should be 14.04 and not 14.10 – pawel.ad Jul 1 '15 at 19:44
  • @pawel.ad Good point. I just tried it and it didn't break my system. Alternatively, which version of the installer to install then? The latest one only supports 14.10. I tried it with 14.04 and it returned "unsupported distribution". – orschiro Jul 2 '15 at 5:53
  • Is it safe to change it back after installing – Suici Doga May 27 '16 at 6:58

Not the answer you're looking for? Browse other questions tagged or ask your own question.